### Method

# Gtk DirectoryListget_error

#### Declaration [src]

    const GError*
    gtk_directory_list_get_error (
      GtkDirectoryList* self
    )

#### Description [src]

Gets the loading error, if any.

If an error occurs during the loading process, the loading process will finish and this property allows querying the error that happened. This error will persist until a file is loaded again.

An error being set does not mean that no files were loaded, and all successfully queried files will remain in the list.

Gets property | `Gtk.DirectoryList:error`

#### Return value

Type: `GError`

The loading error or `NULL` if loading finished successfully.

The data is owned by the instance.
The return value can be `NULL`.